pin_input_text_field 0.2.0

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new71

pin_input_text_field

A textField widget to help display different style pin

Example

Decoration

UnderlineDecoration

BoxLooseDecoration

BoxTightDecoration

ObscureStyle

/// Determine whether replace [obscureText] with number.
final bool isTextObscure;
/// The display text when [isTextObscure] is true
final String obscureText;

Installing

Install the latest version from pub.

Usage

PinEditingController _pinEditingController = PinEditingController();
PinDecoration _pinDecoration = UnderlineDecoration(textStyle: _textStyle);
static final TextStyle _textStyle = TextStyle(
  color: Colors.black,
  fontSize: 24,
 );
bool _obscureEnable = false;
PinEntryType _pinEntryType = PinEntryType.underline;

PinInputTextField(
                pinLength: 4,                                   /// The length of the pin.
                decoration: _pinDecoration,                     /// Control the display of text and border.
                pinEditingController: _pinEditingController,    /// Control pin and observe pin.
                autoFocus: true,    
                onSubmit: (pin) {
                    /// Add action to handle submit.
                    debugPrint('submit pin:$pin');
                },
              ),

[0.2.0] - 2019/01/20

  • add keyboardType & inputFormatters control.
  • add autoFocus & focusNode control.
  • add controller to assign pin.

[0.1.1] - 2019/01/09

  • change license from MIT to Apache.

[0.1.0] - 2019/01/09

  • add comment to help understand source code.
  • add obscure style to be more customize.
  • add onPinChanged to observe the text changed.
  • add solidColor to set background color in BoxLooseDecoration & BoxTightDecoration.
  • add enteredColor for UnderlineDecoration&BoxLooseDecoration.
  • remove const default variable in PinInputTextField.
  • fix wrong place in painting

[0.0.1] - 2018/12/24.

  • first commit.

example/README.md

example

A example pin Flutter application.

Getting Started

This project is a starting point for a Flutter application.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  pin_input_text_field: ^0.2.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:pin_input_text_field/pin_input_text_field.dart';
  
Version Uploaded Documentation Archive
0.2.0 Jan 20, 2019 Go to the documentation of pin_input_text_field 0.2.0 Download pin_input_text_field 0.2.0 archive
0.1.1 Jan 9, 2019 Go to the documentation of pin_input_text_field 0.1.1 Download pin_input_text_field 0.1.1 archive
0.1.0 Jan 9, 2019 Go to the documentation of pin_input_text_field 0.1.0 Download pin_input_text_field 0.1.0 archive
0.0.1 Dec 31, 2018 Go to the documentation of pin_input_text_field 0.0.1 Download pin_input_text_field 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
51
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
80
Overall:
Weighted score of the above. [more]
71
Learn more about scoring.

We analyzed this package on Jan 20, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.10
  • Flutter: 1.1.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Maintenance suggestions

The description is too short. (-20 points)

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test